Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::helpers::safe_auto_ptr< T > Class Template Reference

`#include <pointer.h>`

List of all members.

## Public Member Functions
| safe_auto_ptr (T *val=0)
| safe_auto_ptr (const safe_auto_ptr &rhs)
safe_auto_ptr & | operator= (safe_auto_ptr &rhs)
T & | operator * () const
T * | operator-> () const
T * | get () const
T * | release ()
void | reset (T *val=0)
void | validate (const char *file, int line) const

### template<class T>
class log4cplus::helpers::safe_auto_ptr< T >

## Constructor & Destructor Documentation

template<class T>
log4cplus::helpers::safe_auto_ptr< T >::safe_auto_ptr | ( | T * | val = 0 | ) | `[inline, explicit]`

| Definition at line 52 of file pointer.h.

template<class T>
log4cplus::helpers::safe_auto_ptr< T >::safe_auto_ptr | ( | const safe_auto_ptr< T > & | rhs | ) | `[inline]`

| Definition at line 53 of file pointer.h.

## Member Function Documentation

template<class T>
T* log4cplus::helpers::safe_auto_ptr< T >::get | ( |  | ) | const`[inline]`

| Definition at line 64 of file pointer.h.

template<class T>
T& log4cplus::helpers::safe_auto_ptr< T >::operator * | ( |  | ) | const`[inline]`

| Definition at line 60 of file pointer.h.

template<class T>
T* log4cplus::helpers::safe_auto_ptr< T >::operator-> | ( |  | ) | const`[inline]`

| Definition at line 61 of file pointer.h.

template<class T>
safe_auto_ptr& log4cplus::helpers::safe_auto_ptr< T >::operator= | ( | safe_auto_ptr< T > & | rhs | ) | `[inline]`

| Definition at line 59 of file pointer.h. References log4cplus::helpers::safe_auto_ptr< T >::value.

template<class T>
T* log4cplus::helpers::safe_auto_ptr< T >::release | ( |  | ) | `[inline]`

| Definition at line 65 of file pointer.h.

template<class T>
void log4cplus::helpers::safe_auto_ptr< T >::reset | ( | T * | val = 0 | ) | `[inline]`

| Definition at line 66 of file pointer.h.

template<class T>
void log4cplus::helpers::safe_auto_ptr< T >::validate | ( | const char * | file,
|  | int | line
| ) | const`[inline]`

| Definition at line 67 of file pointer.h. References log4cplus::helpers::throwNullPointerException().

The documentation for this class was generated from the following file:

- pointer.h